package Kwiki::Icons::Gnome;
use strict;
use warnings;
use Kwiki::Icons '-Base';
our $VERSION = '0.14';

const class_title => 'Gnome Icons';
const icons_path => 'icons/gnome/template';

1;

__DATA__

=head1 NAME 

Kwiki::Icons::Gnome - Kwiki Gnome Icons plugin

=head1 SYNOPSIS

 $ cpan Kwiki::Icons::Gnome
 $ cd /path/to/kwiki
 $ vim plugins
 $ kwiki -update

=head1 DESCRIPTION

This is a Kwiki icons package that includes icons from Gnome. Specifically, they were copied from the F<gnome-icon-theme> Debian package.

=head2 Icons

The following icons are provided:

=over 4

=item * edit

=item * favorites

=item * guest_book

=item * home

=item * new_page

=item * plugin_index

=item * recent_changes

=item * revisions (now the same as revisions_previous)

=item * revisions_current

=item * revisions_next

=item * revisions_previous

=item * user_preferences

=item * weather

=back

=head1 AUTHOR

The icons have been packaged by Ian Langworth <langworth.com>. 

Credits to Brian Ingerson and Jooon for further tweaks.

=head1 SEE ALSO

L<Kwiki>, L<Kwiki::Icon>, L<http://tigert.gimp.org/>

=head1 COPYRIGHT AND LICENSE

Copyright (c) 2004. Ian Langworth. All rights reserved.

Since the Gnome(tm) icons are distributed under the terms of the Gnu General
Public License (GPL), this module is also distributed under the terms of the
GPL.

See http://www.gnu.org/copyleft/gpl.html

=cut

__icons/gnome/template/recent_changes_button_icon.html__
<!-- BEGIN recent_changes_button_icon.html -->
<img src="icons/gnome/image/recent_changes.png" alt="Changes" />
<!-- END recent_changes_button_icon.html -->
__icons/gnome/template/edit_button_icon.html__
<!-- BEGIN edit_button_icon.html -->
<img src="icons/gnome/image/edit.png" alt="Edit" />
<!-- END edit_button_icon.html -->
__icons/gnome/template/favorites_button_icon.html__
<!-- BEGIN favorites_button_icon.html -->
<img src="icons/gnome/image/favorites.png" alt="Favorites" />
<!-- END favorites_button_icon.html -->
__icons/gnome/template/guest_book_button_icon.html__
<!-- BEGIN guest_book_button_icon.html -->
<img src="icons/gnome/image/guest_book.png" alt="Guests" />
<!-- END guest_book_button_icon.html -->
__icons/gnome/template/home_button_icon.html__
<!-- BEGIN home_button_icon.html -->
<img src="icons/gnome/image/home.png" alt="Home" />
<!-- END home_button_icon.html -->
__icons/gnome/template/new_page_button_icon.html__
<!-- BEGIN new_page_button_icon.html -->
<img src="icons/gnome/image/new_page.png" alt="New" />
<!-- END new_page_button_icon.html -->
__icons/gnome/template/revisions_button_icon.html__
<!-- BEGIN revisions_button_icon.html -->
<img src="icons/gnome/image/revisions_previous.png" alt="[% hub.pages.current.revision_number %]&nbsp;Revisions" />
<!-- END revisions_button_icon.html -->
__icons/gnome/template/revisions_controls_current_icon.html__
<!-- BEGIN revisions_controls_current_icon.html -->
<img src="icons/gnome/image/revisions_current.png" alt="Current" />
<!-- END revisions_controls_current_icon.html -->
__icons/gnome/template/revisions_controls_next_icon.html__
<!-- BEGIN revisions_controls_next_icon.html -->
<img src="icons/gnome/image/revisions_next.png" alt="Next" />
<!-- END revisions_controls_next_icon.html -->
__icons/gnome/template/revisions_controls_previous_icon.html__
<!-- BEGIN revisions_controls_previous_icon.html -->
<img src="icons/gnome/image/revisions_previous.png" alt="Previous" />
<!-- END revisions_controls_previous_icon.html -->
__icons/gnome/template/user_preferences_button_icon.html__
<!-- BEGIN user_preferences_button_icon.html -->
<img src="icons/gnome/image/user_preferences.png" alt="Preferences" />
<!-- END user_preferences_button_icon.html -->
__icons/gnome/template/weather_button_icon.html__
<!-- BEGIN weather_button_icon.html -->
<img src="icons/gnome/image/weather.png" alt="Weather" />
<!-- END weather_button_icon.html -->
__icons/gnome/image/.htaccess__
Allow from all
__icons/gnome/image/recent_changes.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAACTUlEQVR42o2TT0iTARjGf845m9WX
IaQkalmodahrp04euw68efFW28lZICT9EzvYQSEPChUd+kLpapHRArNkQhn4hzDInEunElvf9mlu
39PBbWlK+cJzev/wPO/7vLC/UBa7wrWfxng8TigU+ueggiwKsxCgdDotx3HkOI5s29bc3JxM09SO
QXXnG13ASUCGYai8vDxfMDY2pkQioUwmI8dxlIvp6Wl1d3dv1ZVXna0tKyvT6JsXmp2ZVGNjo0ZD
z3XrxjUBCoVCWl9fVzqdVjQaVTgc1t9SFH73WtHoN1lWQoZhaG11SeNvX6nzdrsAzc/Pa3h4ON84
MDAgn88nQG6A4gNejhhHEVBaWkpRkYcTp89wbmUFwzCoqakBwDRNJicnaWlp+bO7yspKTX2akG1b
sm1btbW1qq6uVltbmwafPtpON4/BwUEFg8G8DM1Of5RlJWRZlqyfCa3EYootf9fjB30C1N/fr0gk
IkCBQGDHDlwAIyMv+frlM3YqyebmJp5iN7HlRRYWIwB4fk3hifQB0NPTg2madHR0kNtBw5VAcPZu
53Ua6usoLPKQSiVZXV2j+959Wi9four4YcABoLm5maampu3+wQNc3K7x0MESAbp51adnD1uVWnii
2Pv2fL63t1d+vz9/hQwwnhs5NDSEOzVBSXGatFNAfd0ppEzesl1dXfj9/jyDnIVdWQtvJJNJXD+G
yWzGt0yiDC53CcnoDMcu3NlBHcCdpeXkRFqWRUHkw65nSVgbVFRUsLS0VPDf7/N6vXvef69P/A1P
/12KlgRppAAAAABJRU5ErkJggg==
__icons/gnome/image/edit.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAABoUlE
QVR42o2TQWsTURSFP6UgduEiEASXJc+9G4dSFLp10/8huBH0l7jSRZFUCOomSHETSEJMIRIQCoGE
KRoNecNMF2YSqIbX964LmWEmk2gvnMXAnO8ezp2Bv7MDyBV0hw0jzrm1stbKeDyWdrudQHY2AuI4
XqtOpyPGGKnVaoUk1zIAFosFvu+nVKUUAI1Gg16vRxAETCYTWq1W8spBAVCIJsJ8PqdarXJy8onj
44+YYI9fX0rcevShmGA0GuUASil830dE8DyPy/MHmM83eHwYXRy+P93OAeI4zm3OTqlU4jLcw/S3
efb2Jy9e9wHubWUNIpJ2kGwG8DyP5bddfvdu8vTdkpfVPsBdwE8TWGuZzWa5zSJCuVzm4vQ+yx+3
efLqK0f1Qe4A17MxnXMMh8NU1loAvp895PmbCUf1QfYC+bKttRJFkURRJGEYShiGAsjBfjn9EoMg
kGazmTyzMYG1Nr1GvXmO1hqtNc65QrlbqzdXSiEiVCoVtNZpuYnxv4DVEldNzrn1gG63izHmn2aA
6XQKMFgtcf+Kv3Oi3cT4B1rYZqsuMPYzAAAAAElFTkSuQmCC
__icons/gnome/image/favorites.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAABzUlE
QVR42q3Tz0sUYRzH8fc+O5ipm1GGWazFFqkHod3Q6McpgthDQthhzkF78NjN/gCDDlJ0C5Lo0KUf
BBUK0dVAagfX3c0VnRaG3Vx2tsm0VsfZebrMSIslW/SBLw9fHl7P4Xm+D/zHRIEx4AEgvYp65fdT
wF2g30eKt46qqjp253jbhAi1X5b2OtMvnhavfCglAQojQ0WlK3wo0NQcm3r86MuNbCVlbro3gVsB
IKqqavLe6ci8u7bSC+AYOgCapjEwNLzVA0jHIf9x9vO4vtr1vFSNBYGHI8c6Fvo69pxxDB33m4VT
KSFa2ggPnvOUpPZjlZplUls22BfpCfG1MveyXO1TgEtXz54qby5lEaG92PkcrmViWya0tOIYOq5l
1l2WYywRUkQ30C+AJxmjcADYwn7s1Mw27MdFtgMTAni3mMut1zaqDT+X1XmE2ZWN74AugNfX32jN
wV27G8LBcIT36Sy382utwDMBLACxw/cnUfZ37oiVoyeYTmVIzFUAYsC88PY0/5Cm3pPFP+F0Oo2q
lX2sAQR+M43JQiKOvZjZhuMzy3V4p5GWhURcfrrQLY1rF+Xk4MFfR7vhfyHfDp+Xrwb+Htcd8q+4
4fwEn5PGUNU7vtsAAAAASUVORK5CYII=
__icons/gnome/image/guest_book.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAACOklE
QVR42rWTTUhUYRSGn3vveGeytNRMjShEECEjwRaCFAQtpAKFECNc1aIEE1oFBRG1ydqG/eHChSjY
H7mprBYJIkKYUWJUzETlaOP4M87cO3fufN/X4jqjSFCLOnB273nO956PF/5x+ffXFtwB1J+6cIvZ
DujaOsDx0iKj793QGWY+P2EhJpiNChaXJQA+A3J8GoahceLCLIDhWwfomxy+Qix4l8iCILooCM8J
ko7MCnZtz+FjMKWAekDqa4aPHdwXQDizLMQEtqOwHYWbVllBjk9DSng/fwhgBCADMID7A91nSUwP
Ercklu21EB5A0zV2lvn49DUlLctSj2/WDKwFnGprzidtfye66Ga3O+7qdl2DgF9n8E0FR/eO0dT+
thkwM0dU81OdLId6+Da9RHTJ8x5LSJT0IFXlJk9HLLTiVrq6ugAOAMM60NTZUUgy8pqkHcdxFU7K
854ZBkjYiokf1WxO9mUuOgygAWpm7KRylyc1JRyUtJFpi/CcQK5IHVcxPuUw/rOB3t5eAn79UtKR
V7OA/mslPHgRF7srTGOD33OVSCrSwvPuNzWmVQsNlY9oPDfzAajOvMwHUJiv03okz1Dlt6mrq0Mp
RSAQAEAIQSgUYnR0lMb2W2gal9WqM4yaqvzcGz3RvP5n8ZId5vNEcarbLN4UIa7XZkHBYBDxpYOH
rxIALb/LQBHQBtwDXgJhQB2uz00NXC9JRybOu4DaWmBe/JtAla580emybf7uTHj2VG4c4n/UL1lI
FHEcBEIXAAAAAElFTkSuQmCC
__icons/gnome/image/home.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAALGPC/xhBQAAAAZiS0dE
AP8A/wD/oL2nkwAAAAlwSFlzAAALEQAACxEBf2RfkQAAAAd0SU1FB9IBAwwRK0qIsu4AAAHdSURB
VHjarZNPi1JRGMZ/V9PCG4GDXrpOExeMNu7u7krBMKDgLSQkLBBEBBf5PYRWfgD9BDnQrmYxEC1a
Gi2CoH9ci3EM54KaqHPTPG1Uxj9Ii3nhLM7D+z68z/OcA5dcPwAB/Jrdxez8d4kXTxPzIVEoFEQm
k9lKcmUVeH96CkAul0PXdVKpFLIsU6lUBCCt9rtWgerHnxiGQSQSQdd1ALLZLNVqlU2brBEYhkE+
nyebzTIejwHweDwkk0lKpdIayUUJwjRNisUiwWBwMXixEokEiqJQKBQWcuaahKqqtFot2u02jUYD
TdNoNpuoqko8Hsfv9zMYDKjX6wQCAWzbZsmTWq0GICzLEo/CIfHk7p64vxsQnU5HGIYhhBBC13UB
iFnvsgfpdBoASZJwuySS4RCK7yrT6ZTBYEA0GmUymSz1boxRiGWjR6MR5XIZTdOwLItYLLY9Bbfb
vUbgOA7D4XCRylYCx3G44fXw8tsJ3fM/9Ho9vF4vkiRtfIlz1Dww918BKKEgbpeLs06bbrdDz/7N
yfcWDx4n6Pf72Gc2079TlJsKR4fHkhvgwNz/8ub12+fW18a7vfDuvdH5CBcufNdk/Ds7fPrw+dnt
O7ceAvhkH/J1maPDY+lSvu8/X6G319F7MTYAAAAASUVORK5CYII=
__icons/gnome/image/new_page.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
WXMAAAsSAAALEgHS3X78AAAAB3RJTUUH1AYXFxMRFcO6igAAAX5JREFUeNqNk01L40AYx3/JWogi
tK6tOUnwJHi2sFBWbx6kNz+GNz/IHjx789LvYJGksYfoaT2010KRgNiSUg2VyWT2sCTkregDD8zb
7z//mWcG/scFoL6RXdaEiuO4MqWUajKZKMdxEpGLtQKLxaIyXddVQgjV6/VKTrSMAMvlstJev9/H
8zx832c6nWLbdsrqfBFKKdrtNvV6nfn8jdFolJsvOYjjeK0QwHg8ptPppOxGdlEWToDifHFczwLZ
LMZd/5Zms4nvv1QfQUpJEAQ5OGmHYYhlWczDE35uDXKsXrQYRRFRFBGGH9zbN7RaLSzL4nXxG13X
ePz7K9U/7+5e5hzMZrPczqZpEqxOKy/1cxVjNtxqB1JKpJR43pCG4ZTgj3eJ2XCp1TRDL5ZK07S0
v79/AMBqlS/twA4AEEJ9lgSSUiVtAMPQiYSiYTgoBYdHWymTvoPhcIgQovIdPAxCumdPXF//YWfz
iqfn49KxLtd94e3tH5Xje2btDOAflQIoZ0JA0GgAAAAASUVORK5CYII=
__icons/gnome/image/plugin_index.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
WXMAAAsSAAALEgHS3X78AAAAB3RJTUUH0wkJDi4DsPacRgAAAB10RVh0Q29tbWVudABDcmVhdGVk
IHdpdGggVGhlIEdJTVDvZCVuAAABeUlEQVR42rWSOy8EURTHf3d2d+4gmyBIEA2VaLxDKZqtFCQU
So1WfAHtFiofQKWU+BJCgoYVMcQmiCz7sF6zZszdq7CzhPVIcJKbe+4/93/O/zzgH2wI0KX7K+xT
05e5K10ilLH83c17DACjUoTj85MP2H7yoGI2488Kb7Bke0nit6dRmr0BT7yt00vsvb5ME5VO49s2
AO72Fhurq9wWi8xnr0kpJQDCb1W4ts3j4SGX8XgZ89EoYRAyDOqLRdrMSOUeNEpzLDo+gdXRQe30
NDWdnRiWJCwlN5YkZ0awR0ximRwqHOoPeGUFWoh1AJU8gcFBzo6OiAwPI1IpqgoFTnscolE3+JsK
eKHAcXxVAHab7u+nBmIx/Pw1nuPgtLhk6i7IdnksL2ZJPD1NOr7arNREGixZJbSeSbveUnJ0hIfu
brYeVsi3QnwhiwqHZrQQa5lHN/fdSOsBnZif08uzTVq8jK7vx4sUZKhubkYi0EDa9Xb+ZRN/HeAZ
ELmcUtQv1QoAAAAASUVORK5CYII=
__icons/gnome/image/revisions.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAABdElE
QVR42o2SMYsaURSFvyxrLWKRXoT8BC39AdttZR/YhYWk9HdsirBpUttHm11BZZhhrKwirAgRRJh9
MwhiFfW9s83OECHOzoXTvHfu4dxzL8A1oDO4okDJOZfBWqvlcqnxeJyKXBcS2G63GTzP0+FwULfb
fdfJhzcBdrtd9jgYDPB9nziOWa1WjEajlJvvYDgcCtB0OlW73VbRbOSc02QyEaA/iyQjFs1GzjkB
Wjy/6Of3Jz3c91Q0mwsASYRhSP3TRw7Hv9x+/X9mxhg6nQ79fp9WqwXw6yL9rNfrBEHAzZcrZrPZ
SeN8PqdcLlOpVKhWqySJOeHIWqsoik5wLpswDLXZbLLALwF832e/35OO8281Gg0Wzy8MH6c83Pdo
NpskSUKpVMo4d+fWZa1VGIYC9ONbL3MQx7E8z0t55y/UWqskSRQEgQD5vi9jjIwx2Tov37vz4/FI
rVYjiiIAnHMno+YK5GWzXq8Bfuf13+WccorPr/xQdNqP4qaNAAAAAElFTkSuQmCC
__icons/gnome/image/revisions_current.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAAP0lE
QVR42mNgGAW4wH8GBgZrLGL/STEA3RCyDEA2hGwDYIZgNYARjwG4AIoeJiJdZENOLFAlDCiKBYrS
wRACAH6wIL9Bmrd8AAAAAElFTkSuQmCC
__icons/gnome/image/revisions_next.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAAMklE
QVR42mNgGAX4wH8GBgZrSg2gyJD/lBrynxhDGAkYQFA9EwkushmwMLAesHQwRAAA3m0SzQCYZp0A
AAAASUVORK5CYII=
__icons/gnome/image/revisions_previous.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAANUlE
QVR42mNgGAXEAGsGBob/lGr+T6nm/5RqxmkAIw7x/8SqZcJhgA01Q///gMUCVdLBEAAAoZESzVgm
ZbIAAAAASUVORK5CYII=
__icons/gnome/image/user_preferences.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAABrElE
QVR42q2RT0jTcRjGP0Y0CAOhaZeGl1B2aRvBaIcuHZKCUEa3Dh4lKLC8eFACEYRwBw8WggSCskMR
DD1ZFw+VijSd7ddKp/gHnE46BXMZPl1+75C5Fkbv8f1+3ud93u8D/7muAAKuVWEiLhOp9Kj52RlV
ASKAEonErstULOXzORM5V/6WyWROLLgMyOPxlKDiwYFBTdYMhUIDbu+EO6UWFw7tsVAoaG3FMfCO
yzwGFAwGBytZrgW0nEoebm1uaH1t9Wjl25ej8bFRAfL5fHG/3y9X5I913t24bk5SS4tqa2stifxL
pPvAu9stt+ycC8CZvw0ZrHA4LECzHz/o4YMO61+sOtzZN6ykk1XPUFyAGpsDAHLSaT0b6DeRhkpO
1Ds4qqSTVXdsXE9HJtXYHNDxmPfze3rS+chEvDZ4FlBsZIKbN64zMfWeOu8l5mam2fi6ZMw2UOOt
b1D68zLFn78Yfv4i757zHUBJJ6veobj6X07rbnuXbaktc+mxdKLRqIAec/D6zdv5e7u5HDufFpgc
i+He+aNMoAjUXA0E7bTSP9wHXh1LoOk0Wf8GMxTMBSGhw9cAAAAASUVORK5CYII=
__icons/gnome/image/weather.png__
iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
WXMAAAsSAAALEgHS3X78AAAAB3RJTUUH0woODhw62PQCVgAAAD50RVh0Q29tbWVudABDcmVhdGVk
IHdpdGggVGhlIEdJTVAKCihjKSAyMDAzIEpha3ViICdqaW1tYWMnIFN0ZWluZXInM+9YAAAB60lE
QVR42tWRPUhbYRSGn1vj/fK3BAwuWTqYoUuhQ+hShMbQKUs7iBTJLLRdCv1ZrLh0CYS2LnUzHaq4
FKcGcSoWERTUVmld7ObVJPZLvbfJ/XJzusTQRR069YXDOZzDeXgPB/5R1lmxNRO/AUwCuW5rGZi+
/uB081JAd/nTYKYQ7Y8NAGDcKs76nAfcughypZsnBzOFqB1PYlkWlmVhx5MMZgrRrquLtTUTd2tf
X0h9d0rqu1Ny725egF7k8/nmwsLC2kUOenr7bo1c7g6e5+H7Pq1Wi6H0kCqXy9eAq+cBlo1bBeD5
y48MD9+mVqvx8+SExq8Gz548JZVKRYH75wGmnfU5zz89JpFIkEwmsZVChcPEIlHCkQjpdNoaGRl5
fHbW+Pi426OUSqU3Z4PFxUXRWkv1uCqe54qIiOt6UqvVRWstWms5dA6lUCj4o6OjTSqVSl82mzVL
S0tijBFjjGitxXEc0VqL63midUOcoyM5+HEge3t7srGxKbOzswJICIitrKyE5t/P831/H2XbACil
AOjzfQLpYHyftmkTBAFBJyAIghagQsAp8Hr18+qjSCSCUmGU6se2FaH+EBYWHekEbdM2xpig2Wz+
3t7eYmfny8DY2NgHAIrF4kPg1d+/vywmJia+ATf5//UHqwn/DS58UF4AAAAASUVORK5CYII=
